MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | List of all members
emoshapeio::message::list Class Reference

`#include <sio_message.h>`

## Public Member Functions
| list ()
| list (std::nullptr_t)
| list (message::list &&rhs)
list & | operator= (const message::list &&rhs)
template<typename T >
| list (T &&content, typename std::enable_if< std::is_same< std::vector< message::ptr >, typename std::remove_reference< T >::type >::value >::type *=0)
| list (message::list const &rhs)
| list (message::ptr const &message)
| list (const std::string &text)
| list (std::string &&text)
| list (std::shared_ptr< std::string > const &binary)
| list (std::shared_ptr< const std::string > const &binary)
void | push (message::ptr const &message)
void | push (const std::string &text)
void | push (std::string &&text)
void | push (std::shared_ptr< std::string > const &binary)
void | push (std::shared_ptr< const std::string > const &binary)
void | insert (size_t pos, message::ptr const &message)
void | insert (size_t pos, const std::string &text)
void | insert (size_t pos, std::string &&text)
void | insert (size_t pos, std::shared_ptr< std::string > const &binary)
void | insert (size_t pos, std::shared_ptr< const std::string > const &binary)
size_t | size () const
const message::ptr & | at (size_t i) const
const message::ptr & | operator[] (size_t i) const
message::ptr | to_array_message (std::string const &event_name) const
message::ptr | to_array_message () const

## Constructor & Destructor Documentation

## ◆ list() [1/10]

emoshapeio::message::list::list | ( |  | ) |
| inline

## ◆ list() [2/10]

emoshapeio::message::list::list | ( | std::nullptr_t |  | ) |
| inline

## ◆ list() [3/10]

emoshapeio::message::list::list | ( | message::list && | rhs | ) |
| inline

## ◆ list() [4/10]

template<typename T >

emoshapeio::message::list::list | ( | T && | content,
|  | typename std::enable_if< std::is_same< std::vector< message::ptr >, typename std::remove_reference< T >::type >::value >::type * | = 0 )
| inline

## ◆ list() [5/10]

emoshapeio::message::list::list | ( | message::list const & | rhs | ) |
| inline

## ◆ list() [6/10]

emoshapeio::message::list::list | ( | message::ptr const & | message | ) |
| inline

## ◆ list() [7/10]

emoshapeio::message::list::list | ( | const std::string & | text | ) |
| inline

## ◆ list() [8/10]

emoshapeio::message::list::list | ( | std::string && | text | ) |
| inline

## ◆ list() [9/10]

emoshapeio::message::list::list | ( | std::shared_ptr< std::string > const & | binary | ) |
| inline

## ◆ list() [10/10]

emoshapeio::message::list::list | ( | std::shared_ptr< const std::string > const & | binary | ) |
| inline

## Member Function Documentation

## ◆ at()

const message::ptr & emoshapeio::message::list::at | ( | size_t | i | ) | const
| inline

## ◆ insert() [1/5]

void emoshapeio::message::list::insert | ( | size_t | pos,
|  | const std::string & | text )
| inline

## ◆ insert() [2/5]

void emoshapeio::message::list::insert | ( | size_t | pos,
|  | message::ptr const & | message )
| inline

## ◆ insert() [3/5]

void emoshapeio::message::list::insert | ( | size_t | pos,
|  | std::shared_ptr< const std::string > const & | binary )
| inline

## ◆ insert() [4/5]

void emoshapeio::message::list::insert | ( | size_t | pos,
|  | std::shared_ptr< std::string > const & | binary )
| inline

## ◆ insert() [5/5]

void emoshapeio::message::list::insert | ( | size_t | pos,
|  | std::string && | text )
| inline

## ◆ operator=()

list & emoshapeio::message::list::operator= | ( | const message::list && | rhs | ) |
| inline

## ◆ operator[]()

const message::ptr & emoshapeio::message::list::operator[] | ( | size_t | i | ) | const
| inline

## ◆ push() [1/5]

void emoshapeio::message::list::push | ( | const std::string & | text | ) |
| inline

## ◆ push() [2/5]

void emoshapeio::message::list::push | ( | message::ptr const & | message | ) |
| inline

## ◆ push() [3/5]

void emoshapeio::message::list::push | ( | std::shared_ptr< const std::string > const & | binary | ) |
| inline

## ◆ push() [4/5]

void emoshapeio::message::list::push | ( | std::shared_ptr< std::string > const & | binary | ) |
| inline

## ◆ push() [5/5]

void emoshapeio::message::list::push | ( | std::string && | text | ) |
| inline

## ◆ size()

size_t emoshapeio::message::list::size | ( |  | ) | const
| inline

## ◆ to_array_message() [1/2]

message::ptr emoshapeio::message::list::to_array_message | ( |  | ) | const
| inline

## ◆ to_array_message() [2/2]

message::ptr emoshapeio::message::list::to_array_message | ( | std::string const & | event_name | ) | const
| inline

The documentation for this class was generated from the following file:

- EmoShapeIOLib/Public/sio_message.h